@REM ----------------------------------------------------------------------------
@REM Copyright 2001-2004 The Apache Software Foundation.
@REM
@REM Licensed under the Apache License, Version 2.0 (the "License");
@REM you may not use this file except in compliance with the License.
@REM You may obtain a copy of the License at
@REM
@REM      http://www.apache.org/licenses/LICENSE-2.0
@REM
@REM Unless required by applicable law or agreed to in writing, software
@REM distributed under the License is distributed on an "AS IS" BASIS,
@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM See the License for the specific language governing permissions and
@REM limitations under the License.
@REM ----------------------------------------------------------------------------
@REM

@echo off

set ERROR_CODE=0

:init
@REM Decide how to startup depending on the version of windows

@REM -- Win98ME
if NOT "%OS%"=="Windows_NT" goto Win9xArg

@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" @setlocal

@REM -- 4NT shell
if "%eval[2+2]" == "4" goto 4NTArgs

@REM -- Regular WinNT shell
set CMD_LINE_ARGS=%*
goto WinNTGetScriptDir

@REM The 4NT Shell from jp software
:4NTArgs
set CMD_LINE_ARGS=%$
goto WinNTGetScriptDir

:Win9xArg
@REM Slurp the command line arguments.  This loop allows for an unlimited number
@REM of arguments (up to the command line limit, anyway).
set CMD_LINE_ARGS=
:Win9xApp
if %1a==a goto Win9xGetScriptDir
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto Win9xApp

:Win9xGetScriptDir
set SAVEDIR=%CD%
%0\
cd %0\..\.. 
set BASEDIR=%CD%
cd %SAVEDIR%
set SAVE_DIR=
goto repoSetup

:WinNTGetScriptDir
set BASEDIR=%~dp0\..

:repoSetup


if "%JAVACMD%"=="" set JAVACMD=java

if "%REPO%"=="" set REPO=%BASEDIR%\repo

set CLASSPATH="%BASEDIR%"\conf;"%REPO%"\org\apache\helix\helix-core\0.7.1\helix-core-0.7.1.jar;"%REPO%"\log4j\log4j\1.2.15\log4j-1.2.15.jar;"%REPO%"\org\apache\zookeeper\zookeeper\3.3.4\zookeeper-3.3.4.jar;"%REPO%"\jline\jline\0.9.94\jline-0.9.94.jar;"%REPO%"\org\codehaus\jackson\jackson-core-asl\1.8.5\jackson-core-asl-1.8.5.jar;"%REPO%"\org\codehaus\jackson\jackson-mapper-asl\1.8.5\jackson-mapper-asl-1.8.5.jar;"%REPO%"\commons-io\commons-io\1.4\commons-io-1.4.jar;"%REPO%"\commons-cli\commons-cli\1.2\commons-cli-1.2.jar;"%REPO%"\com\github\sgroschupf\zkclient\0.1\zkclient-0.1.jar;"%REPO%"\org\apache\commons\commons-math\2.1\commons-math-2.1.jar;"%REPO%"\commons-codec\commons-codec\1.6\commons-codec-1.6.jar;"%REPO%"\com\google\guava\guava\15.0\guava-15.0.jar;"%REPO%"\org\yaml\snakeyaml\1.12\snakeyaml-1.12.jar;"%REPO%"\org\apache\hadoop\hadoop-client\2.3.0\hadoop-client-2.3.0.jar;"%REPO%"\org\apache\hadoop\hadoop-common\2.3.0\hadoop-common-2.3.0.jar;"%REPO%"\org\apache\commons\commons-math3\3.1.1\commons-math3-3.1.1.jar;"%REPO%"\xmlenc\xmlenc\0.52\xmlenc-0.52.jar;"%REPO%"\commons-httpclient\commons-httpclient\3.1\commons-httpclient-3.1.jar;"%REPO%"\commons-net\commons-net\3.1\commons-net-3.1.jar;"%REPO%"\commons-collections\commons-collections\3.2.1\commons-collections-3.2.1.jar;"%REPO%"\commons-configuration\commons-configuration\1.6\commons-configuration-1.6.jar;"%REPO%"\commons-digester\commons-digester\1.8\commons-digester-1.8.jar;"%REPO%"\commons-beanutils\commons-beanutils\1.7.0\commons-beanutils-1.7.0.jar;"%REPO%"\commons-beanutils\commons-beanutils-core\1.8.0\commons-beanutils-core-1.8.0.jar;"%REPO%"\org\slf4j\slf4j-api\1.7.5\slf4j-api-1.7.5.jar;"%REPO%"\org\slf4j\slf4j-log4j12\1.7.5\slf4j-log4j12-1.7.5.jar;"%REPO%"\org\apache\avro\avro\1.7.4\avro-1.7.4.jar;"%REPO%"\com\thoughtworks\paranamer\paranamer\2.3\paranamer-2.3.jar;"%REPO%"\org\xerial\snappy\snappy-java\1.0.4.1\snappy-java-1.0.4.1.jar;"%REPO%"\org\apache\hadoop\hadoop-auth\2.3.0\hadoop-auth-2.3.0.jar;"%REPO%"\org\apache\httpcomponents\httpclient\4.2.5\httpclient-4.2.5.jar;"%REPO%"\org\apache\httpcomponents\httpcore\4.2.4\httpcore-4.2.4.jar;"%REPO%"\com\google\code\findbugs\jsr305\1.3.9\jsr305-1.3.9.jar;"%REPO%"\org\apache\commons\commons-compress\1.4.1\commons-compress-1.4.1.jar;"%REPO%"\org\tukaani\xz\1.0\xz-1.0.jar;"%REPO%"\org\apache\hadoop\hadoop-hdfs\2.3.0\hadoop-hdfs-2.3.0.jar;"%REPO%"\org\mortbay\jetty\jetty-util\6.1.26\jetty-util-6.1.26.jar;"%REPO%"\org\apache\hadoop\hadoop-mapreduce-client-app\2.3.0\hadoop-mapreduce-client-app-2.3.0.jar;"%REPO%"\org\apache\hadoop\hadoop-mapreduce-client-common\2.3.0\hadoop-mapreduce-client-common-2.3.0.jar;"%REPO%"\org\apache\hadoop\hadoop-yarn-client\2.3.0\hadoop-yarn-client-2.3.0.jar;"%REPO%"\org\apache\hadoop\hadoop-yarn-server-common\2.3.0\hadoop-yarn-server-common-2.3.0.jar;"%REPO%"\org\apache\hadoop\hadoop-mapreduce-client-shuffle\2.3.0\hadoop-mapreduce-client-shuffle-2.3.0.jar;"%REPO%"\org\apache\hadoop\hadoop-mapreduce-client-core\2.3.0\hadoop-mapreduce-client-core-2.3.0.jar;"%REPO%"\org\apache\hadoop\hadoop-yarn-common\2.3.0\hadoop-yarn-common-2.3.0.jar;"%REPO%"\javax\xml\bind\jaxb-api\2.2.2\jaxb-api-2.2.2.jar;"%REPO%"\javax\xml\stream\stax-api\1.0-2\stax-api-1.0-2.jar;"%REPO%"\javax\activation\activation\1.1\activation-1.1.jar;"%REPO%"\javax\servlet\servlet-api\2.5\servlet-api-2.5.jar;"%REPO%"\com\sun\jersey\jersey-core\1.9\jersey-core-1.9.jar;"%REPO%"\org\apache\hadoop\hadoop-mapreduce-client-jobclient\2.3.0\hadoop-mapreduce-client-jobclient-2.3.0.jar;"%REPO%"\org\apache\hadoop\hadoop-annotations\2.3.0\hadoop-annotations-2.3.0.jar;"%REPO%"\org\apache\hadoop\hadoop-yarn-api\2.3.0\hadoop-yarn-api-2.3.0.jar;"%REPO%"\commons-lang\commons-lang\2.6\commons-lang-2.6.jar;"%REPO%"\commons-logging\commons-logging\1.1.3\commons-logging-1.1.3.jar;"%REPO%"\com\google\protobuf\protobuf-java\2.5.0\protobuf-java-2.5.0.jar;"%REPO%"\org\apache\helix\helix-provisioning\0.7.1\helix-provisioning-0.7.1.jar
set EXTRA_JVM_ARGUMENTS=-Xms512m -Xmx512m
goto endInit

@REM Reaching here means variables are defined and arguments have been captured
:endInit

%JAVACMD% %JAVA_OPTS% %EXTRA_JVM_ARGUMENTS% -classpath %CLASSPATH_PREFIX%;%CLASSPATH% -Dapp.name="update-provisioner-config" -Dapp.repo="%REPO%" -Dbasedir="%BASEDIR%" org.apache.helix.provisioning.tools.UpdateProvisionerConfig %CMD_LINE_ARGS%
if ERRORLEVEL 1 goto error
goto end

:error
if "%OS%"=="Windows_NT" @endlocal
set ERROR_CODE=1

:end
@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" goto endNT

@REM For old DOS remove the set variables from ENV - we assume they were not set
@REM before we started - at least we don't leave any baggage around
set CMD_LINE_ARGS=
goto postExec

:endNT
@endlocal

:postExec

if "%FORCE_EXIT_ON_ERROR%" == "on" (
  if %ERROR_CODE% NEQ 0 exit %ERROR_CODE%
)

exit /B %ERROR_CODE%
